> ## Documentation Index
> Fetch the complete documentation index at: https://docs.orderprotection.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete order



## OpenAPI

````yaml delete /v1/orders/{sourceOrderId}
openapi: 3.0.0
info:
  title: Orders Service
  description: Orders service API
  version: 1.0.0
  contact: {}
servers:
  - url: https://api.production.orderprotection.com
    description: Production server
security: []
tags:
  - name: orders
    description: ''
paths:
  /v1/orders/{sourceOrderId}:
    delete:
      tags:
        - Orders
      summary: Delete order
      operationId: OrdersApiController_removeOrder
      parameters:
        - name: sourceOrderId
          required: true
          in: path
          schema:
            type: string
      responses:
        '200':
          description: The order has been successfully mark for cancelled.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OkStatusResponse'
        '401':
          description: Unauthorized.
        '404':
          description: Order not found.
      security:
        - bearer: []
components:
  schemas:
    OkStatusResponse:
      type: object
      properties:
        status:
          type: string
          readOnly: true
          deprecated: false
          example: ok
      required:
        - status
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````